<?php
// $Id: field_audiostreaming.inc,v 1.3 2004/11/13 23:12:50 geek Exp $

function flexinode_field_audiostreaming_name($field) {
  return t('audiostreaming field');
}

function flexinode_field_audiostreaming_form($field, &$node) {
  $fieldname = 'flexinode_'. $field->field_id;
  return form_textfield(t($field->label), $fieldname, isset($node->$fieldname) ? $node->$fieldname : $field->default_value, 60, 128, t($field->description), NULL, $field->required);
}

function flexinode_field_audiostreaming_db_select($field) {
  $fieldname = 'flexinode_'. $field->field_id;
  return $fieldname .'.textual_data AS '. $fieldname;
}

function flexinode_field_audiostreaming_db_sort_column($field) {
  return 'flexinode_'. $field->field_id .'.textual_data';
}

function flexinode_field_audiostreaming_insert($field, $node) {
  $fieldname = 'flexinode_'. $field->field_id;
  db_query("INSERT INTO {flexinode_data} (nid, field_id, textual_data) VALUES (%d, %d, '%s')", $node->nid, $field->field_id, $node->$fieldname);
}

function flexinode_field_audiostreaming_format($field, $node, $brief = 0) {
  $fieldname = 'flexinode_'. $field->field_id;
  return drupal_specialchars($node->$fieldname);
}

function flexinode_field_audiostreaming_config($field, $edit) {
  return form_textfield(t('Default value'), 'default_value', $edit['default_value'], 60, 128);
}


/**
 * @addtogroup themeable
 * @{
 */

/**
 * Format a single-line text field for display in a node.
 *
 * @param field_id
 *   Which field is being displayed (useful when overriding this function
 *   if you want to style one particular field differently).
 * @param label
 *   The label for the field as displayed on the node form.
 * @param value
 *   The value that the user entered for the field.
 * @param formatted_value
 *   The value that the user entered for the field as pre-formatted by the module.
 */
function theme_flexinode_audiostreaming($field_id, $label, $value, $formatted_value) {
  // $output = theme('form_element', $label, $formatted_value);
  
  $output = '<OBJECT CLASSID="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B"';
  $output .= ' CODEBASE="http://www.apple.com/qtactivex/qtplugin.cab"';
	$output .= ' WIDTH="320" HEIGHT="16" >';
	$output .= '<PARAM NAME="src" VALUE="' . $value . '">';
	$output .= '<PARAM NAME="autoplay" VALUE="false" >';
	$output .= '<PARAM NAME="CONTROLLER" VALUE="true">';
	$output .= '<EMBED PLUGINSPAGE="http://www.apple.com/quicktime/download/"';
	$output .= ' SRC="http://www.fmbrussel.be/themes/fmbrussel/img/transp.gif" TYPE="image/x-quicktime"';
	$output .= ' CONTROLLER="true"';
	$output .= ' WIDTH="320" HEIGHT="16"';
	$output .= ' QTSRC="' . $value . '"';
	$output .= ' AUTOPLAY="false" >';
	$output .= '</EMBED>';
	$output .= '</OBJECT>'; 
  
  $output = '<div class="flexinode-audiostreaming-'. $field_id .'">'. $output .'</div>';
  return $output;
}

/** @} End of addtogroup themeable */

?>